Skip to main content
DELETE
/
marketplace
/
providers
/
disks
Delete a custom disk provider entry
curl --request DELETE \
  --url https://pricing.baselinehq.cloud/marketplace/providers/disks \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://pricing.baselinehq.cloud/marketplace/providers/disks"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://pricing.baselinehq.cloud/marketplace/providers/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entries": [
    {
      "availability_zone": "<string>",
      "cost_per_gb_hour": 123,
      "cost_per_iops_hour": 123,
      "cost_per_throughput_mbps_hour": 123,
      "created_at": "<string>",
      "id": "<string>",
      "max_capacity_gb": 123,
      "max_iops": 123,
      "max_throughput_mbps": 123,
      "min_capacity_gb": 123,
      "min_iops": 123,
      "min_throughput_mbps": 123,
      "period_billing_hours": 123,
      "provider": "<string>",
      "raw_pricing_data": {},
      "region": "<string>",
      "service": "<string>",
      "tags": {},
      "type": "<string>",
      "updated_at": "<string>",
      "usage_type": "<string>"
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key with "bl_" prefix (e.g. "bl_<api_key>")

Query Parameters

id
string
required

Disk pricing ID

Response

Pricing response for a custom disk provider

entries
object[]
status
enum<string>
Available options:
Registered,
Deleted